Package org.eclipse.net4j.util.confirmation

## Class IConfirmationProvider.Factory

- java.lang.Object
- - org.eclipse.net4j.util.factory.Factory
  - - org.eclipse.net4j.util.confirmation.IConfirmationProvider.Factory

- All Implemented Interfaces:
    `IFactory`
  Direct Known Subclasses:
    `IConfirmationProvider.Factory.Default`, `InteractiveConfirmationProvider.Factory`
  Enclosing interface:
    IConfirmationProvider

      public abstract static class IConfirmationProvider.Factory
      extends Factory

  Since:
    3.4
  Author:
    Christian W. Damus (CEA LIST)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `IConfirmationProvider.Factory.Default` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `DEFAULT_TYPE` |
    `static java.lang.String` | `INTERACTIVE_TYPE` |
    `static java.lang.String` | `PRODUCT_GROUP` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Factory​(java.lang.String type)` |

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.net4j.util.factory.Factory

      `getDescriptionFor, getKey, getProductGroup, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.net4j.util.factory.IFactory

      `create`

- - ### Field Detail

    - #### PRODUCT_GROUP

          public static final java.lang.String PRODUCT_GROUP

      See Also:
        Constant Field Values

    - #### DEFAULT_TYPE

          public static final java.lang.String DEFAULT_TYPE

      See Also:
        Constant Field Values

    - #### INTERACTIVE_TYPE

          public static final java.lang.String INTERACTIVE_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Factory

          public Factory​(java.lang.String type)